This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1007799 - rhevm-dependencies - new package for 3rd party dependencies
rhevm-dependencies - new package for 3rd party dependencies
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: distribution (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Alon Bar-Lev
Tareq Alayan
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 06:47 EDT by Alon Bar-Lev
Modified: 2014-01-21 11:59 EST (History)
13 users (show)

See Also:
Fixed In Version: is17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 11:59:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2013-09-13 06:47:12 EDT
Currently, rhevm provides embedded 3rd party java dependencies that are missing from rhel, this includes:

apache-commons-compress
apache-commons-configuration
apache-commons-jxpath
apache-commons-lang
apache-mina
apache-sshd
jakarta-commons-httpclient
postgresql-jdbc
quartz
spring-ldap
springframework-*
xmlrpc-client

To allow greater flexibility to release 3rd party fixes and push security fixes, a separate package can be added to allow updating dependencies without product update.

The rhevm package will create symlinks for these components instead of embed them.

We can discuss if we want to enable this service for centos as well.
Comment 9 Alon Bar-Lev 2013-10-09 10:41:35 EDT
QA note:

# find /usr/share/ovirt-engine -type f -name '*.jar'

Should result in just:

frontend.jar
gwt-extension.jar

All other jars are symlinks, either to /usr/share/java/ovirt-engine which is own package or to /usr/share/java/rhevm-dependencies/ which is rhevm-dependencies.
Comment 10 Tareq Alayan 2013-10-09 12:28:34 EDT
tested on is18.
Verified.

after yum install rhevm 

find /usr/share/ovirt-engine -type f -name '*.jar'

/usr/share/ovirt-engine/engine.ear/webadmin.war/WEB-INF/lib/frontend.jar
/usr/share/ovirt-engine/engine.ear/webadmin.war/WEB-INF/lib/gwt-extension.jar
/usr/share/ovirt-engine/engine.ear/userportal.war/WEB-INF/lib/frontend.jar
/usr/share/ovirt-engine/engine.ear/userportal.war/WEB-INF/lib/gwt-extension.jar
Comment 11 errata-xmlrpc 2014-01-21 11:59:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0079.html

Note You need to log in before you can comment on or make changes to this bug.